// lessovw.h : interface of the CLesson1View class
//
/////////////////////////////////////////////////////////////////////////////

#include "channel.hpp"

class CLesson1View : public CView
{
protected: // create from serialization only
	CLesson1View();
	DECLARE_DYNCREATE(CLesson1View)

// Attributes
public:
	CLesson1Doc* GetDocument();

	// Our Amber channel.
	channelClass *ch;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLesson1View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CLesson1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CLesson1View)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in lessovw.cpp
inline CLesson1Doc* CLesson1View::GetDocument()
   { return (CLesson1Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
